# DragAction

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies how and if a drag-and-drop operation should continue.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum DragAction : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum DragAction As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name         | Description                                     |
| ------------ | ----------------------------------------------- |
| **Cancel**   | The operation is canceled with no drop message. |
| **Continue** | The operation will continue.                    |
| **Drop**     | The operation will stop with a drop.            |

## Used By

| Name                                                                                                               | Description                                              |
| ------------------------------------------------------------------------------------------------------------------ | -------------------------------------------------------- |
| [QueryContinueDragEventArgs.Action](/api/wisej.web/general/control/wisej.web.querycontinuedrageventargs.md#action) | Returns or sets the status of a drag-and-drop operation. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.dragaction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
